Xerces Native Interface: Interface Augmentations

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xni
Interface Augmentations

public interface Augmentations

The Augmentations interface defines a table of additional data that may be passed along the document pipeline. The information can contain extra arguments or infoset augmentations, for example PSVI. This additional information is identified by a String key.

Note: Methods that receive Augmentations are required to copy the information if it is to be saved for use beyond the scope of the method. The Augmentations content is volatile, and maybe modified by any method in any component in the pipeline. Therefore, methods passed this structure should not save any reference to the structure.

Version:
  $Id: Augmentations.java 447247 2006-09-18 05:23:52Z mrglavas $
Author:
  Elena Litani, IBM

Method Summary
`java.lang.Object` | `getItem(java.lang.String key)` Get information identified by a key from the Augmentations structure
`java.util.Enumeration` | `keys()` Returns an enumeration of the keys in the Augmentations structure
`java.lang.Object` | `putItem(java.lang.String key, java.lang.Object item)` Add additional information identified by a key to the Augmentations structure.
`void` | `removeAllItems()` Remove all objects from the Augmentations structure.
`java.lang.Object` | `removeItem(java.lang.String key)` Remove additional info from the Augmentations structure

Method Detail

### putItem

    public java.lang.Object putItem(java.lang.String key,
                                    java.lang.Object item)

  Add additional information identified by a key to the Augmentations structure.
  Parameters:
    `key` - Identifier, can't be `null`
    `item` - Additional information
  Returns:
    the previous value of the specified key in the Augmentations structure, or `null` if it did not have one.

### getItem

    public java.lang.Object getItem(java.lang.String key)

  Get information identified by a key from the Augmentations structure
  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    the value to which the key is mapped in the Augmentations structure; `null` if the key is not mapped to any value.

### removeItem

    public java.lang.Object removeItem(java.lang.String key)

  Remove additional info from the Augmentations structure
  Parameters:
    `key` - Identifier, can't be `null`
  Returns:
    the previous value of the specified key in the Augmentations structure, or `null` if it did not have one.

### keys

    public java.util.Enumeration keys()

  Returns an enumeration of the keys in the Augmentations structure

### removeAllItems

    public void removeAllItems()

  Remove all objects from the Augmentations structure.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.